import { fn } from './fn.js';
import { baseResponseTemplate } from '../../../utils/response-templates/base-response-template';

export const get = {
  schema: {
    api: {{api}},
    description: 'Get one {{pascalCase name}} object',
    tags: ['{{pascalCase name}}'],
    summary: 'This method allows you to get one {{pascalCase name}} object',
    params: {
      type: 'object',
      properties: {
        {{{propertyUniqueId}}}
      }
    },
    response: {
      200: {
        description: 'Successful response',
        type: 'object',
        properties: {
          success: { type: 'boolean' },
          data: '{{pascalCase name}}#'
        }
      },
      ...baseResponseTemplate
    }
  },
  fn
};
